import create from 'dd-store'
import exampleStore from '/stores/exampleStore'
create.Page({
  store: exampleStore,
  useAll: true,
  data: {
  },
  onLoad() {
    dd.setNavigationBar({
      title: `参会人(${this.store.data.participants.length}人）`
    })

  },
  // 保存信息
  saveInfo() {
    dd.navigateBack({
      delta: 1
    })

  },
  // 添加参会人
  addParticipants() {
    const _that = this
    dd.complexChoose({
      title: "选择参会人",            //标题
      multiple: true,            //是否多选
      limitTips: "超出了",          //超过限定人数返回提示
      maxUsers: 1000,            //最大可选人数
      pickedUsers: [],            //已选用户
      pickedDepartments: [],          //已选部门
      disabledUsers: [],            //不可选用户
      disabledDepartments: [],        //不可选部门
      requiredUsers: [],            //必选用户（不可取消选中状态）
      requiredDepartments: [],        //必选部门（不可取消选中状态）
      permissionType: "xxx",          //可添加权限校验，选人权限，目前只有GLOBAL这个参数
      responseUserOnly: true,        //返回人，或者返回人和部门
      success: function (res) {
        res.users.forEach((item, index) => {
          _that.store.data.participants.push(item)
        })
        _that.store.data.participants = _that.setArrary(_that.store.data.participants)
        _that.update()
        dd.setNavigationBar({
          title: `参会人(${_that.store.data.participants.length}人）`
        })
      },
      fail: function (err) {
      }
    })
  },
  // 删除参会人
  delParticipants(event) {
    let userId = event.target.dataset.userId
    console.log(event.target.dataset.userId)
    this.store.data.participants.forEach((item, index) => {
      if (userId === item.userId) {
        this.store.data.participants.splice(index, 1)
        this.update()
        return
      }
    })
    dd.setNavigationBar({
      title: `参会人(${this.store.data.participants.length}人）`
    })

  },
  // 数组去重
  setArrary(arr, userId) {
    console.log(arr)
    let containt = {}
    for (let x of arr) {
      containt['id' + x.userId] = x
    }
    return Object.values(containt)
  },
});
